import s from "../../../classnames/index.mjs";
import * as t from "react";
function c(a) {
  return a != null;
}
const u = (a) => {
  const {
    itemPrefixCls: e,
    component: E,
    span: m,
    className: o,
    style: r,
    labelStyle: i,
    contentStyle: p,
    bordered: $,
    label: n,
    content: l,
    colon: f
  } = a, y = E;
  return $ ? /* @__PURE__ */ t.createElement(y, {
    className: s({
      [`${e}-item-label`]: c(n),
      [`${e}-item-content`]: c(l)
    }, o),
    style: r,
    colSpan: m
  }, c(n) && /* @__PURE__ */ t.createElement("span", {
    style: i
  }, n), c(l) && /* @__PURE__ */ t.createElement("span", {
    style: p
  }, l)) : /* @__PURE__ */ t.createElement(y, {
    className: s(`${e}-item`, o),
    style: r,
    colSpan: m
  }, /* @__PURE__ */ t.createElement("div", {
    className: `${e}-item-container`
  }, (n || n === 0) && /* @__PURE__ */ t.createElement("span", {
    className: s(`${e}-item-label`, {
      [`${e}-item-no-colon`]: !f
    }),
    style: i
  }, n), (l || l === 0) && /* @__PURE__ */ t.createElement("span", {
    className: s(`${e}-item-content`),
    style: p
  }, l)));
}, d = u;
export {
  d as default
};
